
	anim8 = require "lib.anim8"
	local grid = anim8.newGrid(32, 72, 140, 300)
	Quad = love.graphics.newQuad
	player = {
		x = 400,
		y = 300,
		speed = 250,
		spriteSheet = love.graphics.newImage("graphics/quads/character/quadsCharacter.png"),
		moving = false,
		direction = "down"
	}
	
	animations = {
		down = anim8.newAnimation("loop", grid("1, 1-4"), 0.2),
		up = anim8.newAnimation("loop", grid("2, 1-4"), 0.2),
		right = anim8.newAnimation("loop", grid("3, 1-4"), 0.2),
		left = anim8.newAnimation("loop", grid("4, 1-4"), 0.2)
	}

function playerDraw()
	if gamestate == "playing" then 
		animations[player.direction]:draw(sheet, player.x, player.y)
	end
end

function playerOutOfScreen(dt)
	if player.x < -32 then
		player.x = 800
	end
	if player.x > 800 then
		player.x = -32
	end
	if player.y < -75 then
		player.y = 600
	end
	if player.y > 600 then
		player.y = -75
	end
end

function playerKeypressed()
	if key == "s" then
		player.moving = true
	end
	if key == "w" then
		player.moving = true
	end
	if key == "a" then
		player.moving = true
	end
	if key == "d" then
		player.moving = true
	end
end

function playerUpdate(dt)
	animations[player.direction]:update(dt)
end

function playerKeyreleased()
	if key == "s" then
		player.moving = false
	end
	if key == "w" then
		player.moving = false
	end
	if key == "a" then
		player.moving = false
	end
	if key == "d" then
		player.moving = false
	end
end






